pub const fn flag(b:bool,mask:u8)->u8{
	(-(b as i8) as u8)&mask
}

#[binrw::binrw]
#[brw(little,repr=u8)]
pub enum Boolio{
	True,
	False
}
impl Into<bool> for Boolio{
	fn into(self)->bool{
		match self{
			Boolio::True=>true,
			Boolio::False=>false,
		}
	}
}
impl From<bool> for Boolio{
	fn from(value:bool)->Self{
		match value{
			true=>Boolio::True,
			false=>Boolio::False,
		}
	}
}
